Subject: SCO 4.2 and rimapd

From: Mark Duggan <[email-masked]>
Date: Tue, 01 Dec 1998 10:34:41 -0500

My organization uses two versions of the SCO OS i.e. Openserver 5.x and
SCO 4.2.

Our mailserver, running 5.x acts as a imap server to both 5.x and 4.2
machines. I've
compiled binaries for both OS versions. 

So here's the problem - Clients on any 5.x machines can successfully
pre-authenticate,
using the rimapd method, while clients on any 4.2 machine cannot.
On the 4.2 machines I've tested the user equivalency using the command:

rcmd imapserver exec /etc/rimapd    (NOTE: On SCO rcmd is the equivalent
to rsh)

This gives the a clean "PREAUTH .... server ready" prompt as expected. 

Another curiosity is that if I take the 4.2 pine binary and run it on a
5.x machine, pre-authentication works fine. (4.2 binaries will run on
5.x but not vice-versa.)

So the problem is not either with the imap server or the binary itself
but something to do with the environment on the 4.2 machine. 

Any suggestions would be appreciated.

Mark Duggan

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------